/*
 * Created on 8-mag-2003
 */
package it.uniba.di.dme.userinfo.gui;



import it.uniba.di.dme.utility.StringContainer;
import it.uniba.di.dme.utility.UserInfoStringContainer;

import java.awt.BorderLayout;
import java.awt.GridLayout;

import javax.swing.ButtonGroup;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JPasswordField;
import javax.swing.JRadioButton;
import javax.swing.JTextField;


/**
 * @author Ignazio Palmisano
 */
public class PanelComandi extends JPanel {
	private static JLabel lblName = new JLabel(StringContainer.FirstName);
	private static JLabel lblSurname = new JLabel(UserInfoStringContainer.LastName);
	private static JLabel lblSex = new JLabel(UserInfoStringContainer.Sex);
	private static JLabel lblBorn = new JLabel(UserInfoStringContainer.BirthDay);
	private static JLabel lblEmail = new JLabel(UserInfoStringContainer.Email);
	private static JLabel lblTelephone = new JLabel(UserInfoStringContainer.Telephone);
	private static JLabel lblCourseYear = new JLabel(UserInfoStringContainer.CourseYear);
	private static JLabel lblWork = new JLabel(UserInfoStringContainer.Job);
	private static JLabel lblLogin = new JLabel(UserInfoStringContainer.Login);
	private static JLabel lblPassword = new JLabel(UserInfoStringContainer.Password);
	private static JLabel lblTit = new JLabel(UserInfoStringContainer.DefinePersonalInfo);
	JTextField txtName = new JTextField();
	JTextField txtSurname = new JTextField();
	JTextField txtBorn = new JTextField();
	JTextField txtEmail = new JTextField();
	JTextField txtTelephone = new JTextField();
	JTextField txtWork = new JTextField();
	JTextField txtLogin = new JTextField();
	JPasswordField txtPassword = new JPasswordField();
	JComboBox chsCourseYear = new JComboBox();
	JRadioButton cbSexM = new JRadioButton(UserInfoStringContainer.Male);
	JRadioButton cbSexF = new JRadioButton(UserInfoStringContainer.Female);
	JRadioButton cbNoResidence = new JRadioButton(UserInfoStringContainer.NoResidence);
	JRadioButton cbResidence = new JRadioButton(UserInfoStringContainer.Residence);
	JRadioButton cbTraveller = new JRadioButton(UserInfoStringContainer.Traveller);
	private ButtonGroup gSex = new ButtonGroup();
	private ButtonGroup gResidence = new ButtonGroup();
	private JPanel tempPanel = new JPanel(new BorderLayout(5, 5));
	private JPanel temp = new JPanel(new GridLayout(20, 2, 5, 5));
	private JPanel miniPanel = new JPanel(new GridLayout(1, 3, 5, 5));

	/**
	 * Creates a new PanelComandi object.
	 */
	public PanelComandi() {
		tempPanel.add(lblTit, BorderLayout.NORTH);

		// Label e TextBox
		chsCourseYear.addItem(UserInfoStringContainer.Primo);
		chsCourseYear.addItem(UserInfoStringContainer.Secondo);
		chsCourseYear.addItem(UserInfoStringContainer.Terzo);
		chsCourseYear.addItem(UserInfoStringContainer.Quarto);
		chsCourseYear.addItem(UserInfoStringContainer.Quinto);
		chsCourseYear.addItem(UserInfoStringContainer.FC);

		temp.add(lblName);
		temp.add(txtName);
		temp.add(lblSurname);
		temp.add(txtSurname);
		temp.add(lblSex);

		JPanel microPanel = new JPanel(new GridLayout(1, 2, 5, 5));
		microPanel.add(cbSexM);
		microPanel.add(cbSexF);
		temp.add(microPanel);

		temp.add(lblBorn);
		temp.add(txtBorn);
		temp.add(lblEmail);
		temp.add(txtEmail);
		temp.add(lblTelephone);
		temp.add(txtTelephone);
		temp.add(lblWork);
		temp.add(txtWork);
		temp.add(lblCourseYear);
		temp.add(chsCourseYear);
		temp.add(lblLogin);
		temp.add(txtLogin);
		temp.add(lblPassword);
		temp.add(txtPassword);

		miniPanel.add(cbResidence);
		miniPanel.add(cbTraveller);
		temp.add(miniPanel);
		temp.add(cbNoResidence);

		gSex.add(cbSexF);
		gSex.add(cbSexM);
		gResidence.add(cbResidence);
		gResidence.add(cbNoResidence);
		gResidence.add(cbTraveller);
		tempPanel.add(temp, BorderLayout.SOUTH);

		this.add(tempPanel);
	}
}
