/*
 * Created on 8-mag-2003
 */
package it.uniba.di.dme.userinfo.gui;

import it.uniba.di.dme.gui.ListScrollPane;
import it.uniba.di.dme.utility.UserInfoStringContainer;

import java.awt.BorderLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.border.LineBorder;



/**
 * @author Ignazio Palmisano
 */
public class PanelPersonality extends JPanel {
	private static JLabel lblPersonality = new JLabel(UserInfoStringContainer.DefinePersonality);

	/** list of personalities */
	ListScrollPane listPersonality = new ListScrollPane();

	/**
	 * Creates a new FrmPersonality object.
	 *
	 * @param ag the agent
	 */
	public PanelPersonality() {
		try {
			jbInit();
		} catch (Exception e) {
			e.printStackTrace(System.out);
		}
	}

	/**
	 * init of the component
	 *
	 * @throws Exception if there is any problem intiating the component
	 */
	private void jbInit() throws Exception {
		this.listPersonality.setItems(new Object[] {
				UserInfoStringContainer.Socievole,
				UserInfoStringContainer.Timido,
				UserInfoStringContainer.Aggressivo,
				UserInfoStringContainer.Estroverso,
				UserInfoStringContainer.Introverso
			});

		this.listPersonality.setBorder(LineBorder.createBlackLineBorder());

		JPanel temp = new JPanel(new BorderLayout(5, 5));

		temp.add(this.listPersonality);
		temp.add(lblPersonality, BorderLayout.NORTH);
		this.add(temp);
	}
}
