package it.uniba.di.dme.gui;

import javax.swing.ImageIcon;
import javax.swing.JButton;


/**
 * this class is a Button with an image on it
 *
 * @author Antonio Giuliani 
 */
public class NewButton extends JButton {
	/**
	 * Creates a new NewButton object.
	 *
	 * @param theImage the image
	 * @param label the text label
	 */
	public NewButton(ImageIcon theImage, String label) {
		super(theImage);
		this.setText(label);
	}

	/**
	 * Creates a new NewButton object.
	 *
	 * @param label text label
	 */
	public NewButton(String label) {
		super();
		this.setText(label);
	}
}
