/*
 * Created on 29-nov-2004
 */
package slides;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.Statement;

/**
 * Questa class ha bisogno di:
 * - driver JDBC per mysql disponibili nel classpath (e quindi nel progetto di Eclipse); lo trovate sul sito di mysql, www.mysql.com
 * - un'installazione di mysql a cui accedere
 * - la gestione delle eccezioni 
 * @author Ignazio
 */
public class JDBCClient {

	public static void main(String[] args) throws ClassNotFoundException {
		// istanza del driver per mysql
		Class.forName("com.mysql.jdbc.Driver");
		// la querystring per il db va scritta da voi:
		// il template  jdbc:mysql://<nome_host>/<nome_database>?user=<nome_utente>&password=<password_utente>
		Connection connection=DriverManager.getConnection("");
		Statement statement=connection.createStatement();
		// la query SQL  incompleta: manca il nomedella tabella del DB
		ResultSet rs=statement.executeQuery("SELECT * FROM ...");
		while(rs.next()) {
			// legge il primo campo del record (come stringa) e lo stampa... che cosa potrebbe succedere?
			System.out.println(rs.getString(1));
		}
		rs.close();
		statement.close();
		connection.close();
		
	}
}
